public class TheClassDriver2 {

    public static void main(String[] args) {
    	System.out.println("One TheClass object created in the main of TheClassDriver2:");
        TheClass obj2 = new TheClass();
        System.out.println("count = " + TheClass.getCount());
        
        mymethod();
        
        System.out.println("Total number of created TheClass objects = " + TheClass.getCount());
    }
    
    public static void mymethod(){
    	System.out.println("Two TheClass objects created in mymethod of TheClassDriver2:");
    	TheClass obj1 = new TheClass();
    	TheClass obj2 = new TheClass();
    	System.out.println("count = " + TheClass.getCount());
    	System.out.println("One more TheClass object created in mymethod of TheClassDriver2:");
    	TheClass obj3 = new TheClass();
    	System.out.println("count = " + TheClass.getCount());
    }
}
